package uca.baptistearthur.geocaching

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import androidx.fragment.app.Fragment
import com.google.android.material.bottomnavigation.BottomNavigationView

import org.osmdroid.config.Configuration
class MainWindow: AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {

        super.onCreate(savedInstanceState)
        setContentView(R.layout.main_window)

        loadFragment(Map())
        val navigation = findViewById<BottomNavigationView>(R.id.bottom_navigation)
        navigation.selectedItemId= R.id.map
        navigation.setOnItemSelectedListener {
            when (it.itemId) {
                R.id.profile -> {
                    loadFragment(Profile())
                    true
                }
                R.id.map -> {
                    loadFragment(Map())
                    true
                }
                R.id.list -> {
                    loadFragment(List())
                    true
                }
                else -> false
            }
        }
    }
    private fun loadFragment(fragment: Fragment){
        val transaction = supportFragmentManager.beginTransaction()
        transaction.replace(R.id.fragment_container, fragment)
        transaction.commit()
    }

}